get:
  tags:
    - Users
  summary: Search users (replaces getUserByEmail)
  description: Searches for users based on various filter criteria
  operationId: search
  parameters:
    - name: username
      in: query
      required: false
      style: form
      explode: true
      schema:
        type: string
    - name: firstName
      in: query
      required: false
      style: form
      explode: true
      schema:
        type: string
    - name: lastName
      in: query
      required: false
      style: form
      explode: true
      schema:
        type: string
    - name: email
      in: query
      required: false
      style: form
      explode: true
      schema:
        type: string
    - name: first
      in: query
      required: false
      style: form
      explode: true
      schema:
        type: integer
        format: int32
    - name: max
      in: query
      required: false
      style: form
      explode: true
      schema:
        type: integer
        format: int32
  responses:
    "200":
      description: Successfully retrieved list of users
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: ../../schemas/KeycloakUser.yaml
    "400":
      description: Invalid filter criteria
    "401":
      description: Access denied
    "403":
      description: "Forbidden: User does not have the required role"
  security:
    - oauth2AuthCode: []
  x-simpl-roles:
    - T1UAR_M
post:
  summary: Creates a user
  description: Creates a user with the provided data
  tags:
  - Users
  operationId: createUser
  requestBody:
    content:
      application/json:
        schema:
          $ref: ../schemas/KeycloakUser.yaml
    required: true
  responses:
    "201":
      description: Created
      content:
        application/json:
          schema:
            type: string
  security:
  - oauth2AuthCode: []
